LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XMouseEvent Interface Reference

`import"XMouseEvent.idl";`

Inheritance diagram for XMouseEvent:

## Public Member Functions
long | getScreenX ()
long | getScreenY ()
long | getClientX ()
long | getClientY ()
boolean | getCtrlKey ()
boolean | getShiftKey ()
boolean | getAltKey ()
boolean | getMetaKey ()
short | getButton ()
XEventTarget | getRelatedTarget ()
void | initMouseEvent ([in] string typeArg, [in] boolean canBubbleArg, [in] boolean cancelableArg, [in] com::sun::star::xml::dom::views::XAbstractView viewArg, [in] long detailArg, [in] long screenXArg, [in] long screenYArg, [in] long clientXArg, [in] long clientYArg, [in] boolean ctrlKeyArg, [in] boolean altKeyArg, [in] boolean shiftKeyArg, [in] boolean metaKeyArg, [in] short buttonArg, [in] XEventTarget relatedTargetArg)
Public Member Functions inherited from XUIEvent
com::sun::star::xml::dom::views::XAbstractView | getView ()
long | getDetail ()
void | initUIEvent ([in] string typeArg, [in] boolean canBubbleArg, [in] boolean cancelableArg, [in] com::sun::star::xml::dom::views::XAbstractView viewArg, [in] long detailArg)
Public Member Functions inherited from XEvent
string | getType ()
XEventTarget | getTarget ()
XEventTarget | getCurrentTarget ()
PhaseType | getEventPhase ()
boolean | getBubbles ()
boolean | getCancelable ()
com::sun::star::util::Time | getTimeStamp ()
void | stopPropagation ()
void | preventDefault ()
void | initEvent ([in] string eventTypeArg, [in] boolean canBubbleArg, [in] boolean cancelableArg)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ getAltKey()

boolean getAltKey | ( |  | ) |

## ◆ getButton()

short getButton | ( |  | ) |

## ◆ getClientX()

long getClientX | ( |  | ) |

## ◆ getClientY()

long getClientY | ( |  | ) |

## ◆ getCtrlKey()

boolean getCtrlKey | ( |  | ) |

## ◆ getMetaKey()

boolean getMetaKey | ( |  | ) |

## ◆ getRelatedTarget()

XEventTarget getRelatedTarget | ( |  | ) |

## ◆ getScreenX()

long getScreenX | ( |  | ) |

## ◆ getScreenY()

long getScreenY | ( |  | ) |

## ◆ getShiftKey()

boolean getShiftKey | ( |  | ) |

## ◆ initMouseEvent()

void initMouseEvent | ( | [in] string | typeArg,
|  | [in] boolean | canBubbleArg,
|  | [in] boolean | cancelableArg,
|  | [in] com::sun::star::xml::dom::views::XAbstractView | viewArg,
|  | [in] long | detailArg,
|  | [in] long | screenXArg,
|  | [in] long | screenYArg,
|  | [in] long | clientXArg,
|  | [in] long | clientYArg,
|  | [in] boolean | ctrlKeyArg,
|  | [in] boolean | altKeyArg,
|  | [in] boolean | shiftKeyArg,
|  | [in] boolean | metaKeyArg,
|  | [in] short | buttonArg,
|  | [in] XEventTarget | relatedTargetArg
| ) |  |

The documentation for this interface was generated from the following file:

- com/sun/star/xml/dom/events/XMouseEvent.idl